Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_statement_init

## Name

librdf_statement_init -- initialise a statically declared librdf_statement

## Synopsis

``void `librdf_statement_init`` (librdf_world * `world`, librdf_statement * `statement`);`

## Arguments

`world`

  redland world object

`statement`

  librdf_statement object

## Description

This MUST be called on a statically declared librdf_statement to initialise it properly. It is the responsibility of the user of the statically allocated librdf_statement to deal with deallocation of any statement parts (subject, predicate, object).

## Return value

a new librdf_statement or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_statement_from_nodes | Up | librdf_statement_clear